Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.blas
Class SROTM

    java.lang.Object
      org.netlib.blas.SROTM

    public class SROTM

extends java.lang.Object

    SROTM is a simplified interface to the JLAPACK routine srotm.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *     APPLY THE MODIFIED GIVENS TRANSFORMATION, H, TO THE 2 BY N MATRIX

     *
     *     (SX**T) , WHERE **T INDICATES TRANSPOSE. THE ELEMENTS OF SX ARE IN
     *     (DX**T)
     *
     *     SX(LX+I*INCX), I = 0 TO N-1, WHERE LX = 1 IF INCX .GE. 0, ELSE
     *     LX = (-INCX)*N, AND SIMILARLY FOR SY USING USING LY AND INCY.
     *     WITH SPARAM(1)=SFLAG, H HAS ONE OF THE FOLLOWING FORMS..
     *
     *     SFLAG=-1.E0     SFLAG=0.E0        SFLAG=1.E0     SFLAG=-2.E0
     *
     *       (SH11  SH12)    (1.E0  SH12)    (SH11  1.E0)    (1.E0  0.E0)
     *     H=(          )    (          )    (          )    (          )
     *       (SH21  SH22),   (SH21  1.E0),   (-1.E0 SH22),   (0.E0  1.E0).
     *     SEE  SROTMG FOR A DESCRIPTION OF DATA STORAGE IN SPARAM.
     *
     *
     *  Arguments
     *  =========
     *
     *  N      (input) INTEGER
     *         number of elements in input vector(s)
     *
     *  SX     (input/output) REAL array, dimension N
     *         double precision vector with 5 elements
     *
     *  INCX   (input) INTEGER
     *         storage spacing between elements of SX
     *
     *  SY     (input/output) REAL array, dimension N
     *         double precision vector with N elements
     *
     *  INCY   (input) INTEGER
     *         storage spacing between elements of SY
     *
     *  SPARAM (input/output)  REAL array, dimension 5
     *     SPARAM(1)=SFLAG
     *     SPARAM(2)=SH11
     *     SPARAM(3)=SH21
     *     SPARAM(4)=SH12
     *     SPARAM(5)=SH22
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`SROTM()`

Method Summary
`static void` | `SROTM(int n, float[] sx, int incx, float[] sy, int incy, float[] sparam)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SROTM

    public SROTM()

Method Detail

### SROTM

    public static void SROTM(int n,
                             float[] sx,
                             int incx,
                             float[] sy,
                             int incy,
                             float[] sparam)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD